MP4(3)

NAME

MP4SetSampleRenderingOffset - Set the rendering offset of a track sample

SYNTAX

#include <mp4.h>

bool MP4SetSampleRenderingOffset(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4SampleId sampleId,
    MP4Duration renderingOffset
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

sampleId
    Specifies the sample to which the operation applies. Caveat: the first sample has id 1 not 0.

renderingOffset
    Species the new value for the sample rendering offset in track time scale units.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4SetSampleRenderingOffset sets the rendering offset of the specified sample from the specified track in the track time scale units. See MP4ConvertToTrackDuration() for how to map this value from another time scale.

See MP4GetSampleRenderingOffset() for a description of this sample property.

SEE ALSO

MP4(3) MP4ConvertToTrackDuration(3) MP4GetSampleRenderingOffset(3)